# Development Guide

## Docker

In order to have a common development environment, its nice to use docker. Its quite easy. To build a new image, simply run 

`docker build . -t mastodon_blocklist_deploy`

Now you can execute any commands using

`docker run --rm mastodon_blocklist_deploy --help`

If you want to avoid building new containers for each change, simply mount your code into the container using

`docker run --rm -v $(pwd):/app mastodon_blocklist_deploy`

Please be aware that changes to the package itself require a rebuild anyways.
